Summary: 	Singular-libfac is an extension to Singular-factory	
Name:   	libfac	
Version:	0.3.2	
Release:	4.PU_IAS.1
Copyright:	GPL	
Vendor:		Michael Messollen <mmessollen@web.de>
Url:       	http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/Libfac/	
Packager:	Rex Dieter <rdieter@unl.edu>
Prefix:	   	%{_prefix}	
Group:     	Development/Libraries	
Source:    	http://www.mathematik.uni-kl.de/ftp/pub/Math/Singular/Libfac/%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-nostreamio.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)-root
BuildRequires:	factory = 1.3b-%{release}

%description
Singular-libfac is an extension to Singular-factory
(see the Singular-factory documentation for details about Singular-factory
and what it does; look at REQUIREMENTS how to get Singular-factory),
which implements factorization of polynomials over finite fields and algorithms
for manipulation of polynomial ideals via the characteristic set methods
(e.g., calculating the characteristic set and the irreducible characteristic
series).

Note: Singular-libfac is just beta-code (as long version is < 1.0.0).
There are bugs, I think. Please help to test this code!
Submit a bug-report if you found a bug!

#package devel
#Summary:        %{name} libraries, includes.
#Group:          Development/Libraries
#Requires:       %{name} = %{version}-%{release}
#description devel
#%{name} libraries, includes.

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -q -n %{name}

%patch1 -p1 

# Nuke libtoolize
# define __libtoolize :

%configure

%build
make DEFS=-DHAVE_SINGULAR_ERROR

%install
%makeinstall

%clean
rm -rf "$RPM_BUILD_ROOT"

#uncomment when/if we include shared-libs
#post   -p /sbin/ldconfig
#postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
#{_libdir}/lib*.so*
%{_libdir}/lib*.*a
%{_includedir}/*

%changelog
* Fri May 24 2002 Rex Dieter <rdieter@unl.edu> 0.3.2-3
- rebuild for/on rh7.3

* Wed Jan 02 2002 Rex Dieter <rdieter@unl.edu> 0.3.2-2
- specfile cosmetics

* Mon Nov 12 2001 Rex Dieter <rdieter@unl.edu> 0.3.2-1
- include Vendor, Url 
- include nostreamio patch (and -DHAVE_SINGULAR_ERROR) for Macaulay2-0.9

* Mon Oct 29 2001 Rex Dieter <rdieter@unl.edu> 0.3.2-0 
- first try
